/**
 * Built-in transformers, defining the auxiliary points for the path.
 * @module
 */
import { Transformer } from './types';
/**
 * Linear transformer. Returns the same points.
 * @returns Two points
 * @throws Error if number of points is not equal to 2
 */
export declare const linear: () => Transformer;
/**
 * Classic transformer. Returns four points: start, auxiliary start, auxiliary end, end.
 * @param options Options
 * @param options.vertical If true, the auxiliary points will be placed vertically. Default: `false`
 * @param options.curvature The curvature of the path. Default: `0.3`
 * @returns Four points
 */
export declare const classic: (options: {
    vertical?: boolean;
    curvature?: number;
}) => Transformer;
//# sourceMappingURL=transformers.d.ts.map